package control;

import entity.*;
public class UC4Controller implements Observer {

	private SUDTimer myTimer;
	public UC4Controller(SUDTimer timer) {
		myTimer = timer;
		myTimer.registerObserver(this);
	}
	public void update() {
		this.rankPlayers();

	}
	public void rankPlayers() {
		
	}
		
	
	/*
	 * (non-javadoc)
	 */
	private RankEstimator rankEstimator;
	 
	/**
	 * Getter of the property <tt>rankEstimator</tt>
	 *
	 * @return Returns the rankEstimator.
	 * 
	 */
	public RankEstimator getRankEstimator()
	{
		return rankEstimator;
	}
	
	/**
	 * Setter of the property <tt>rankEstimator</tt>
	 *
	 * @param rankEstimator The rankEstimator to set.
	 *
	 */
	public void setRankEstimator(RankEstimator rankEstimator ){
		this.rankEstimator = rankEstimator;
	}

}
